Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.mdc
Class LocationRules

    java.lang.Object
      org.kemet.mdc.LocationRules

All Implemented Interfaces:
  java.io.Serializable

    public class LocationRules

extends java.lang.Object
implements java.io.Serializable

Since:
  0.1
Author:
  fabricemaupin

  location rules for each special caracters of MdC

See Also:
  Serialized Form

Constructor Summary
`LocationRules()` instantiate the location rules.

Method Summary
`static void` | `addNbError()` add a error.
`static void` | `clearError()` initialize the counter error : it can be modify by all control methods where applicated to the signList and special caracters MdC.
`void` | `getInformationAboutLocation(java.lang.String input)` allocate lines and cadrats.
`static boolean` | `isVerify()` return true if the nbError = 0
`void` | `ruleDoublePointVerify(java.lang.String str, java.lang.String sequence)` rule for ":" special caracter Mdc ":" indicate that the next sign will be located under the previous sign to the same level.
`void` | `ruleExclamationPointVerify(java.lang.String str, java.lang.String sequence)` rule for "!"
`void` | `ruleIndentVerify(java.lang.String str, java.lang.String sequence)` rule for "-" special caracter Mdc "-" separator between 2 cadrats.
`void` | `ruleInputBracketVerify(java.lang.String str, java.lang.String sequence)` rule for "(" special caracter Mdc "(" can be used to indicate a group a MdC codes.
`void` | `ruleOutputBracketVerify(java.lang.String str, java.lang.String sequence)` rule for ")" special caracter Mdc ")" can be used to terminate a group a MdC codes.
`void` | `ruleStarVerify(java.lang.String str, java.lang.String sequence)` rule for "*" special caracter Mdc "*" indicate that the next sign will be located to the same level than the previous sign.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationRules

    public LocationRules()

  instantiate the location rules.

  Since:
    0.1

Method Detail

### clearError

    public static void clearError()

  initialize the counter error : it can be modify by all control methods where applicated to the signList and special caracters MdC.

  Since:
    0.1

### ruleStarVerify

    public void ruleStarVerify(java.lang.String str,
                               java.lang.String sequence)

  rule for "*" special caracter Mdc "*" indicate that the next sign will be located to the same level than the previous sign.

  Parameters:
    `str` - string to analyse
    `sequence` - rule caracter
  Since:
    0.1

### ruleIndentVerify

    public void ruleIndentVerify(java.lang.String str,
                                 java.lang.String sequence)

  rule for "-" special caracter Mdc "-" separator between 2 cadrats.

  Parameters:
    `str` - string to analyse
    `sequence` - rule caracter
  Since:
    0.1

### ruleDoublePointVerify

    public void ruleDoublePointVerify(java.lang.String str,
                                      java.lang.String sequence)

  rule for ":" special caracter Mdc ":" indicate that the next sign will be located under the previous sign to the same level.

  Parameters:
    `str` - string to analyse
    `sequence` - rule caracter
  Since:
    0.1

### ruleExclamationPointVerify

    public void ruleExclamationPointVerify(java.lang.String str,
                                           java.lang.String sequence)

  rule for "!" special caracter Mdc "!" indicate the end of a line of cadrats.

  Parameters:
    `str` - string to analyse
    `sequence` - rule caracter
  Since:
    0.1

### ruleInputBracketVerify

    public void ruleInputBracketVerify(java.lang.String str,
                                       java.lang.String sequence)

  rule for "(" special caracter Mdc "(" can be used to indicate a group a MdC codes.

  Parameters:
    `str` - string to analyse
    `sequence` - rule caracter
  Since:
    0.1

### ruleOutputBracketVerify

    public void ruleOutputBracketVerify(java.lang.String str,
                                        java.lang.String sequence)

  rule for ")" special caracter Mdc ")" can be used to terminate a group a MdC codes.

  Parameters:
    `str` - string to analyse
    `sequence` - rule caracter
  Since:
    0.1

### getInformationAboutLocation

    public void getInformationAboutLocation(java.lang.String input)

  allocate lines and cadrats.

  Parameters:
    `input` - string to analyze
  Since:
    0.1

### isVerify

    public static boolean isVerify()

  return true if the nbError = 0

  Returns:
    true / false
  Since:
    0.1

### addNbError

    public static void addNbError()

  add a error.

  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.